summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Murat D. Kadirov <banderols@gmail.com>2010-05-11 22:54:32 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:54:32 +0200
commit1954570f7dca4580016cbf4ee1ceadb4ac9f7b84 (patch)
treeac512912ef1c1d1e910cca77b71e7d7ccc0fa2c5 /multimedia
parent10b805a346cb7c567c01a388cf2133d46b27789f (diff)
downloadslackbuilds-1954570f7dca4580016cbf4ee1ceadb4ac9f7b84.tar.gz
slackbuilds-1954570f7dca4580016cbf4ee1ceadb4ac9f7b84.tar.xz
multimedia/gcstar: Added to 12.1 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/gcstar/README9
-rw-r--r--multimedia/gcstar/doinst.sh4
-rw-r--r--multimedia/gcstar/gcstar.SlackBuild74
-rw-r--r--multimedia/gcstar/gcstar.info8
-rw-r--r--multimedia/gcstar/slack-desc19
5 files changed, 114 insertions, 0 deletions
diff --git a/multimedia/gcstar/README b/multimedia/gcstar/README
new file mode 100644
index 0000000000..b9c7177a39
--- /dev/null
+++ b/multimedia/gcstar/README
@@ -0,0 +1,9 @@
+GCstar is a free open source application for managing your collections.
+Detailed information on each item can be automatically retrieved from the
+internet and you can store additional data, such as the location or who
+you've lent it to. You may also search and filter your collection by many
+criteria.
+
+Requires: perl-gtk2, perl-xml-libxml, libwww-perl
+Optional (install with cpan): Archive::Tar, Archive::Zip, Gtk2::Spell,
+MP3::Info, MP3::Tag, Net::FreeDB, Ogg::Vorbis::Header::PurePerl, Time::Piece
diff --git a/multimedia/gcstar/doinst.sh b/multimedia/gcstar/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/multimedia/gcstar/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/multimedia/gcstar/gcstar.SlackBuild b/multimedia/gcstar/gcstar.SlackBuild
new file mode 100644
index 0000000000..0b3946472b
--- /dev/null
+++ b/multimedia/gcstar/gcstar.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for GCstar
+
+# Written by Murat D. Kadirov <banderols@gmail.com>
+
+PRGNAM=gcstar
+VERSION=${VERSION:-1.4.3}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./install --text --prefix=$PKG/usr
+
+# Create the desktop entry
+mkdir -p $PKG/usr/share/applications
+cat > $PKG/usr/share/applications/$PRGNAM.desktop <<EOF
+[Desktop Entry]
+Encoding=UTF-8
+Name=GCStar
+Exec=gcstar
+Terminal=false
+Type=Application
+Categories=Office;Database;
+Icon=gcstar
+EOF
+
+# Create symlinks for icons
+for size in 16x16 24x24 32x32 48x48 64x64 ; do
+ mkdir -p $PKG/usr/share/icons/hicolor/${size}/apps
+ cd $PKG/usr/share/icons/hicolor/${size}/apps
+ ln -s /usr/share/gcstar/icons/gcstar_${size}.png gcstar.png
+ cd -
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG CHANGELOG.fr LICENSE README README.fr \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/gcstar/gcstar.info b/multimedia/gcstar/gcstar.info
new file mode 100644
index 0000000000..371af8aafc
--- /dev/null
+++ b/multimedia/gcstar/gcstar.info
@@ -0,0 +1,8 @@
+PRGNAM="gcstar"
+VERSION="1.4.3"
+HOMEPAGE="http://www.gcstar.org"
+DOWNLOAD="http://download.gna.org/gcstar/gcstar-1.4.3.tar.gz"
+MD5SUM="a4182efaf0f81fba39d1ab8b9b582417"
+MAINTAINER="Murat D. Kadirov"
+EMAIL="banderols@gmail.com"
+APPROVED="rworkman"
diff --git a/multimedia/gcstar/slack-desc b/multimedia/gcstar/slack-desc
new file mode 100644
index 0000000000..a09fdf84d9
--- /dev/null
+++ b/multimedia/gcstar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gcstar: GCstar (a personal collections manager)
+gcstar:
+gcstar: GCstar is a free open source application for managing your
+gcstar: collections. Detailed information on each item can be automatically
+gcstar: retrieved from the internet and you can store additional data, such
+gcstar: as the location or who you've lent it to. You may also search and
+gcstar: filter your collection by many criteria.
+gcstar:
+gcstar: Homepage: http://www.gcstar.org
+gcstar:
+gcstar: